ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Russel Winder <russel.win...@concertant.com>
Subject Upgrading 1.4.1 -> 2.0.0-beta1
Date Tue, 01 Jan 2008 11:46:11 GMT
I guess I must just be missing something that I should not but...

I am trying to upgrade my use of Ivy from 1.4.1 to 2.0.0-beta1.  I
replaced the 1.4.1 jar with the 2.0.0-beta1 jar and replaced the
fr/jayasoft with org/apache and fr.jayasoft with org.apache in the
taskdef and the project tag of the Ant build file so they now look like:

<project name="Ivy_Hello" default="run"
xmlns:ivy="antlib:org.apache.ivy.ant">

    <taskdef resource="org/apache/ivy/ant/antlib.xml"
uri="antlib:org.apache.ivy.ant" classpathref="classpath"/>

However, I get:

No ivy:settings found for the default reference 'ivy.instance'.  A
default instance will be used
no settings file found, using default...
[ivy:cachepath] :: Ivy 2.0.0-beta1 - 20071206070608 ::
http://ant.apache.org/ivy/ ::
:: loading settings :: url =
jar:file:/home/users/russel/lib/Java/groovy/lib/ivy-2.0.0-beta1.jar!/org/apache/ivy/core/settings/ivysettings.xml

BUILD FAILED
/home/Checkouts/SVK/Gant/local/gant/trunk/examples/ivy/build.xml:36:
impossible to resolve dependencies:
        java.lang.NullPointerException

Is there something else I have to do to finish the 1.4.1 -> 2.0.0-beta1
upgrade?

I searched on Nabble but apart from some issues regarding the Ivy build
itself last May which are now reported to be fixed, I can't see anything
-- but this may be my bad searching.

Thanks.
 
-- 
Russel.
====================================================
Dr Russel Winder                 Partner

Concertant LLP                   t: +44 20 7193 9203
41 Buckmaster Road,              f: +44 8700 516 084
London SW11 1EN, UK.             m: +44 7770 465 077

Mime
View raw message